apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    component: joblinks-api
    environment: prod
    system: job-ads
    team: walrus
  name: joblinks-search-api-prod
  namespace: openshift-gitops
spec:
  destination:
    namespace: joblinks-search-api-prod
    server: https://kubernetes.default.svc
  project: walrus
  source:
    path: kustomize/overlays/prod
    repoURL: https://gitlab.com/arbetsformedlingen/job-ads/joblinks-search-api-infra.git
    targetRevision: main
  syncPolicy:
    automated: {}
    syncOptions:
    - CreateNamespace=false
